API referenceInsights
Store visit to paid funnel for a range, with product and traffic filters
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Query Parameters
from*string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeto*string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeproductId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidsource?string
Length
1 <= length <= 150channel?string
Value in
- "direct"
- "search"
- "social"
- "email"
- "paid"
- "referral"
country?string
Length
2 <= length <= 2device?string
Value in
- "desktop"
- "mobile"
- "tablet"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/stores/string/insights/funnel?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z"{ "steps": [ { "step": "store_visit", "sessions": -9007199254740991, "conversionFromPrevious": 0, "overallConversion": 0 }, { "step": "store_visit", "sessions": -9007199254740991, "conversionFromPrevious": 0, "overallConversion": 0 }, { "step": "store_visit", "sessions": -9007199254740991, "conversionFromPrevious": 0, "overallConversion": 0 }, { "step": "store_visit", "sessions": -9007199254740991, "conversionFromPrevious": 0, "overallConversion": 0 }, { "step": "store_visit", "sessions": -9007199254740991, "conversionFromPrevious": 0, "overallConversion": 0 } ]}